/* BEGIN Thin */
@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Thin.woff2?v=1.1.0") format("woff2"), url("../fonts/Roboto-Thin.woff?v=1.1.0") format("woff"), url("../fonts/Roboto-Thin.ttf?v=1.1.0") format("truetype");
  font-weight: 100;
  font-style: normal;
}

/* END Thin */
/* BEGIN Light */
@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Light.woff2?v=1.1.0") format("woff2"), url("../fonts/Roboto-Light.woff?v=1.1.0") format("woff"), url("../fonts/Roboto-Light.ttf?v=1.1.0") format("truetype");
  font-weight: 300;
  font-style: normal;
}

/* END Light */
/* BEGIN Regular */
@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Regular.woff2?v=1.1.0") format("woff2"), url("../fonts/Roboto-Regular.woff?v=1.1.0") format("woff"), url("../fonts/Roboto-Regular.ttf?v=1.1.0") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Regular.woff2?v=1.1.0") format("woff2"), url("../fonts/Roboto-Regular.woff?v=1.1.0") format("woff"), url("../fonts/Roboto-Regular.ttf?v=1.1.0") format("truetype");
  font-weight: normal;
  font-style: normal;
}

/* END Regular */
/* BEGIN Medium */
@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Medium.woff2?v=1.1.0") format("woff2"), url("../fonts/Roboto-Medium.woff?v=1.1.0") format("woff"), url("../fonts/Roboto-Medium.ttf?v=1.1.0") format("truetype");
  font-weight: 500;
  font-style: normal;
}

/* END Medium */
/* BEGIN Bold */
@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Bold.woff2?v=1.1.0") format("woff2"), url("../fonts/Roboto-Bold.woff?v=1.1.0") format("woff"), url("../fonts/Roboto-Bold.ttf?v=1.1.0") format("truetype");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Bold.woff2?v=1.1.0") format("woff2"), url("../fonts/Roboto-Bold.woff?v=1.1.0") format("woff"), url("../fonts/Roboto-Bold.ttf?v=1.1.0") format("truetype");
  font-weight: bold;
  font-style: normal;
}

/* END Bold */
.link {
  cursor: pointer;
}

.img-responsive {
  display: block;
  height: auto;
  width: 100%;
}

.img-circle {
  border-radius: 50%;
}

.text-center {
  text-align: center;
}

.uppercase {
  text-transform: uppercase;
}

.pull-left {
  float: left;
}

.pull-right {
  float: right;
}

.spacer {
  height: 25px;
}

.spacer-mini {
  height: 10px;
}

.bg-yellow {
  background: #ffc000 !important;
}

.bgRed {
  background: #e00000 !important;
}

.bgGreen {
  background: #368d0b !important;
}

.text-white {
  color: #fff !important;
}

* {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
}

*:active,
*:focus {
  outline: none !important;
}

body {
  color: #4a4a4a;
  overflow: hidden;
}

#main {
  position: fixed;
  box-sizing: border-box;
  padding: 20px 0;
  top: 65px;
  left: 0;
  width: 100%;
  height: calc(100vh - 90px);
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
}

footer {
  padding: 30px 0;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

ul li {
  display: block;
}

a {
  cursor: pointer;
}

.flex {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.flex > * {
  -webkit-flex: 1;
      -ms-flex: 1;
          flex: 1;
}

.info:after,
.clearfix:after {
  clear: both;
  content: '';
  display: block;
}

.small {
  color: #002C5A;
  margin-top: 20px;
}

.fa-1-5x {
  font-size: 1.5em;
  position: relative;
  top: 3px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 500;
}

h2 {
  font-size: 1.5em;
  margin-bottom: 15px;
}

.scroll-action {
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, white 47%, white 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 );
  height: 120px;
  position: fixed;
  bottom: 0;
  width: 100%;
  text-align: center;
  display: none;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-justify-content: flex-end;
      -ms-flex-pack: end;
          justify-content: flex-end;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  pointer-events: none;
}

.scroll-action i {
  display: block;
  margin: 0 auto 10px;
}

table {
  width: 100%;
}

table tr {
  background: #fff;
  width: 100%;
}

table tr.odd {
  background: #f7f7f7;
}

table tr.transparent {
  background: #fff;
  border: none;
}

table tr.transparent td {
  border: none;
}

table tr td {
  color: #002C5A;
  font-size: 0.9em;
  padding: 10px;
  border-left: solid 1px #ddd;
  border-right: solid 1px #ddd;
}

table tr td.no-border {
  border: none;
}

table tr td.td1 {
  width: 55%;
}

table tr td.td2 {
  font-weight: bold;
  text-align: center;
  width: 20%;
}

table tr td.td3 {
  text-align: center;
  width: 25%;
}

.btn {
  background-color: #002C5A;
  color: #fff;
  font-size: 1.4em;
  margin-top: 30px;
  text-align: center;
  padding: 5px;
  width: 100%;
  border-radius: 0;
  display: block;
}

#highcharts {
  margin: 0 auto;
  width: 800px;
  max-width: 100%;
}

.table-info {
  color: #002C5A;
  margin-top: 30px;
  font-size: 0.8em;
  text-align: center;
  width: 100%;
}

.vehicles-list > div {
  background: #ddd;
  cursor: pointer;
  font-size: 1.2em;
  font-weight: 500;
  margin-bottom: 4px;
  padding: 8px 0;
  text-align: center;
}

.vehicles-list > div.active {
  background: #002C5A;
  color: #fff;
}

.info {
  margin-bottom: 10px;
  position: relative;
  /*
	.more-detail {
		line-height: 1em;
		margin-top: 20px;
		white-space: normal;
	}
	*/
}

.info .ast {
  color: #002C5A;
  position: absolute;
  top: 20px;
  right: 10px;
}

.info > div {
  font-size: 1.3em;
  padding: 5px;
  text-align: center;
}

.info .info-label {
  background: #002C5A;
  font-weight: 500;
  color: #fff;
}

.info .info-value {
  font-size: 1.5em;
  font-weight: bold;
  background-color: #ddd;
  position: relative;
}

.info .info-value.info-small {
  font-size: 1.1em;
  font-weight: normal;
}

.info .info-unit {
  position: absolute;
  line-height: 10px;
  bottom: 10px;
  right: 10px;
  font-size: 1em;
}

.info.info-big .info-label {
  float: left;
  line-height: 60px;
  width: 75%;
}

.info.info-big .info-value {
  float: left;
  line-height: 60px;
  width: 25%;
}

.slider {
  margin-bottom: 25px;
}

.slider .label {
  font-size: 1.2em;
  margin-bottom: 5px;
}

.slider .rzslider .rz-bar {
  background-color: #aaa;
}

.slider .rzslider .rz-bar.rz-selection {
  background-color: #002C5A;
}

.slider .rzslider .rz-pointer {
  background-color: #002C5A;
}

.slider .rzslider .rz-pointer:after {
  background-color: #002C5A !important;
}

.slider .rzslider .rz-ticks .rz-tick {
  background-color: #aaa;
}

.slider .rzslider .rz-ticks .rz-tick.rz-selected {
  background-color: #002C5A !important;
}

.slider .rzslider .rz-bubble {
  color: #002C5A;
}

.slider .rzslider .rz-bubble.rz-limit {
  color: #777;
}

.graph {
  position: relative;
}

.graph .line-container {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 0;
}

.graph .line-container .line {
  float: left;
  position: relative;
  height: 100%;
  width: 10%;
}

.graph .line-container .line + .line, .graph .line-container .line:first-child {
  border-left: solid 1px #ddd;
}

.graph .line-container .line:last-child {
  border-right: solid 1px #ddd;
}

.graph .line-container .line span {
  color: #999;
  display: block;
  position: absolute;
  text-align: center;
  left: -15px;
  width: 30px;
  bottom: -30px;
}

.graph .bar {
  position: relative;
  z-index: 20;
  margin-bottom: 20px;
}

.graph .bar .fill {
  background-color: #002C5A;
  height: 50px;
  transition: all ease-in-out 0.2s;
}

.graph-info {
  line-height: 50px;
  font-size: 1.0em;
  font-weight: 400;
  padding: 12px 0;
  white-space: nowrap;
}


.icon-container {
  display: inline-block;
  text-align: center;
  width: 30px;
}

.setting {
  margin-bottom: 20px;
}

.setting p {
  margin-bottom: 5px;
}

.setting select {
  width: 100%;
}

#header {
  background-color: #002C5A !important;
  position: fixed;
  top: 0;
  left: 0;
  padding: 10px 0 10px;
  width: 100%;
  z-index: 2000;
  text-align: center;
  overflow: hidden; border-top:#0a417a solid 0px;
  height:65px;
}

#header .container {
  position: relative;
}

#header .logo {
  display: block;
}

.logo img { height:45px; }
.control {
  cursor: pointer;
  position: absolute;
  top: -5px;
  line-height: 45px;
  font-weight: 400;
  text-transform: uppercase;
}

.control.left {
  left: 40px;
}

.control.right {
  right: 40px;
}

@media (max-width: 800px) {
  #header {
    height: 65px;
  }
  #header .control {
    top: -5px;
  }
  #header .control.left {
    left: 10px;
  }
  #header .control.right {
    right: 10px;
  }
  #header .logo img {
    max-height: 40px;
    width: auto;
  }
  #main {
    top: 65px;
    height: calc(100vh - 65px);
  }
  h2 {
    font-size: 1.4em;
  }
  .bar {
    display: none;
  }
  .info > div {
    font-size: 1.5em !important;
    line-height: 1.2em !important;
    float: none !important;
    line-height: auto !important;
    width: 100% !important;
  }
  .info .info-unit {
    position: relative;
    right: inherit;
    bottom: inherit;
    font-size: 0.8em !important;
    text-align: right;
  }
  .graph-info {
    font-size: 1em;
    line-height: 1.3em;
    white-space: normal;
  }
  .graph-info .icon-container {
    display: none;
  }
  .col-xs-1, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9, .col-xs-10, .col-xs-11, .col-xs-12, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12, .col-xl-1, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-10, .col-xl-11, .col-xl-12 {
    padding-left: 1rem;
    padding-right: 1rem;
  }
  .scroll-action {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
  }
}
